Docjar: A Java Source and Docuemnt Enginecom.*    java.*    javax.*    org.*    all    new    plug-in

Quick Search    Search Deep

org.scopemvc.controller.servlet.jsp.* (2)org.scopemvc.controller.servlet.xml.* (2)

org.scopemvc.controller.servlet: Javadoc index of package org.scopemvc.controller.servlet.


Package Samples:

org.scopemvc.controller.servlet.xml: A servlet implementation that provides a simple implementation of the HMVC pattern for HTTP request handling.  
org.scopemvc.controller.servlet.jsp

Classes:

ScopeServlet: Base class for a web app's servlet dispatcher: subclass this to implement application startup and initialisation (use a static initializer). This class accepts incoming requests, collects the parameters into a mutable HashMap, parses them to create a Control and to find a ViewID to identify the View the user interacted with. The request parameters are then passed to the View to populate its Model, before the View issues the Control for the owning Controller to handle. A configurable number of Application Controllers (and sub-Controllers and their Views and Models) are created on the first request. ...
ServletContext: A ViewContext that handles showView(), hideView() and showError() for servlet implementations. The showView() expects a ServletView that is asked to stream the currently visible Page to the HTTP Response's OutputStream. Two interesting behaviours can be customized with a ServletContext subclass: To handle errors with a global error page override showError(java.lang.String, java.lang.String) 55 to implement the required behaviour. Custom ServletContexts can be used for requests by overriding ScopeServlet.createServletContext(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, ...
XSLScopeServlet: A org.scopemvc.controller.servlet.ScopeServlet for use in webapps that use org.scopemvc.view.servlet.xml : this initialises the SystemID of org.scopemvc.view.servlet.xml.AbstractXSLPage to point to the root of the deployed web archive, which is where all XSL files are referenced from. Also installs a XSLServletContext .
JSPScopeServlet: A org.scopemvc.controller.servlet.ScopeServlet for use in webapps that use org.scopemvc.view.servlet.jsp : this installs a JSPContext .
XSLServletContext: A ServletContext that that shows org.scopemvc.view.servlet.xml.AbstractXSLPage s.
JSPContext: A ServletContext that handles showView() for JSPView implementations by redirecting to a JSP.

Home | Contact Us | Privacy Policy | Terms of Service